curl --request POST \
--url https://api.totoy.ai/v1/knowledge-bases \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Totoy Customer Support Assistant",
"instructions": "You are a customer support assistant for the customers of the company Totoy.",
"project_id": "pj_avX7imfLaPcQnv5ckvGlOEBA9"
}
'import requests
url = "https://api.totoy.ai/v1/knowledge-bases"
payload = {
"name": "Totoy Customer Support Assistant",
"instructions": "You are a customer support assistant for the customers of the company Totoy.",
"project_id": "pj_avX7imfLaPcQnv5ckvGlOEBA9"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Totoy Customer Support Assistant',
instructions: 'You are a customer support assistant for the customers of the company Totoy.',
project_id: 'pj_avX7imfLaPcQnv5ckvGlOEBA9'
})
};
fetch('https://api.totoy.ai/v1/knowledge-bases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"knowledge_base_id": "kb_feMfJbeqbAEj4u8K5HqmKpUbY",
"name": "Totoy Customer Support Assistant",
"instructions": "You are a customer support assistant for the customers of the company Totoy.",
"project_id": "pj_avX7imfLaPcQnv5ckvGlOEBA9",
"created_at": "2023-07-05T12:00:00Z",
"updated_at": "2023-07-05T12:00:00Z"
}{
"type": "https://docs.totoy.ai/probs/out-of-credit",
"title": "You do not have enough credit.",
"status": 403,
"detail": "You do not have enough credit to perform this operation.",
"instance": "/projects/pj_avX7imfLaPcQnv5ckvGlOEBA9"
}{
"type": "https://docs.totoy.ai/probs/out-of-credit",
"title": "You do not have enough credit.",
"status": 403,
"detail": "You do not have enough credit to perform this operation.",
"instance": "/projects/pj_avX7imfLaPcQnv5ckvGlOEBA9"
}Creates a Knowledge Base.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
The name for the Knowledge Base
256"Totoy Customer Support Assistant"
The instructions for the Knowledge Base.
4096"You are a customer support assistant for the customers of the company Totoy."
The unique identifier for the Project that the Knowledge Base will be assigned to. If no project_id is provided, the Knowledge Base will be assigned to the default Project.
28^pj_[a-zA-Z0-9]{25}$"pj_avX7imfLaPcQnv5ckvGlOEBA9"
Response
OK
The unique identifier for the Knowledge Base.
28^kb_[a-zA-Z0-9]{25}$"kb_feMfJbeqbAEj4u8K5HqmKpUbY"
The name for the Knowledge Base.
256"Totoy Customer Support Assistant"
The date-time of when the Knowledge Base was created, in ISO 8601 format.
"2023-07-05T12:00:00Z"
The date-time of when the Knowledge Base was last modified, in ISO 8601 format.
"2023-07-05T12:00:00Z"
The instructions for the Knowledge Base.
4096"You are a customer support assistant for the customers of the company Totoy."
The unique identifier for the Project that the Knowledge Base is assigned to.
28^pj_[a-zA-Z0-9]{25}$"pj_avX7imfLaPcQnv5ckvGlOEBA9"